import { TableauSignInResponse } from "./responses/tableau-signin-response";
import { TableauAddUserToSiteResponse } from "./responses/tableau-add-user-to-site-response";
import { TableauAddUserToGroupResponse } from "./responses/tableau-add-user-to-group-response";
import { TableauUser } from "./responses/tableau-user";
import { TableauGroup } from "./responses/tableau-group";
import { TableauUserGroupsDictionary } from "./responses/tableau-user-groups-dictionary";
export declare class TableauApiClient {
    private readonly baseUrl;
    private readonly DEFAULT_USER_SITE_ROLE;
    private readonly DEFAULT_USER_AUTH_SETTING;
    private readonly USERS_PAGINATION_PAGE_SIZE;
    private readonly GROUPS_PAGINATION_PAGE_SIZE;
    private superAgent;
    private siteId;
    private authToken;
    constructor(baseUrl: string);
    signIn(jwt: string, contentUrl: string): Promise<TableauSignInResponse>;
    signOut(): Promise<void>;
    getUsersOnSite(): Promise<TableauUser[]>;
    getUsersInGroup(groupId: string): Promise<TableauUser[]>;
    getGroupsForUser(tableauUserId: string): Promise<TableauGroup[]>;
    getGroupsForUsers(tableauUserIds: string[]): Promise<TableauUserGroupsDictionary>;
    addUserToSite(userEmail: string): Promise<TableauAddUserToSiteResponse>;
    addUserToGroup(tableauUserId: string, groupId: string): Promise<TableauAddUserToGroupResponse>;
    removeUserFromSite(tableauUserId: string): Promise<void>;
    removeUserFromGroup(tableauUserId: string, groupId: string): Promise<void>;
    private getGroups;
    private getUsers;
    private generateSignInUrl;
    private generateSignOutUrl;
    private generateAuthUrl;
    private generateSitesUsersUrl;
    private generateSitesUserUrl;
    private generateSitesUserGroupsUrl;
    private generateSitesGroupsUsersUrl;
    private generateSitesGroupsUserUrl;
    private generateGroupsUrl;
    private generateSitesUrl;
}
